﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridSelectionAccessAnne.aspx.cs" Inherits="RadGridSelectionAccessAnne" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function getSelecteditems(sender, args) {
                var items = args.get_tableView().get_selectedItems();
                var message = "Selected items info:<br/><br/>";

                for (var i = 0; i < items.length; i++) {
                    var dataKeyID = items[i].getDataKeyValue("DataKeyID");
                    var vendorName = $(items[i].get_cell("Vendor_Name")).text();
                    var contactName = $(items[i].get_cell("Contact_Name")).text();
                    var venId = $(items[i].get_cell("Ven_Id")).text();

                    message += "<b>DataKeyID:</b> " + dataKeyID + ", <b>Vendor_Name:</b> " + vendorName +
                        ",<b>Contact_Name:</b> " + contactName + ", <b>Ven_Id:</b> " + venId + "<br/>";
                }

                $("#outputClient").html(message);
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="tblVendorApp"
            runat="server"
            AllowSorting="true"
            AllowPaging="false"
            AutoGenerateColumns="false"
            AllowMultiRowSelection="true"
            OnNeedDataSource="tblVendorApp_NeedDataSource"
            GridLines="None"
            Width="800px">
            <ClientSettings>
                <Selecting AllowRowSelect="true" />
                <ClientEvents OnRowSelected="getSelecteditems" />
            </ClientSettings>
            <MasterTableView ClientDataKeyNames="DataKeyID">
                <Columns>
                    <telerik:GridBoundColumn
                        UniqueName="DataKeyID"
                        DataField="DataKeyID"
                        Visible="false">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn
                        HeaderStyle-HorizontalAlign="Center"
                        DataField="Vendor_Name"
                        HeaderText="Vendor Name"
                        ItemStyle-HorizontalAlign="Center"
                        ReadOnly="true">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn
                        HeaderStyle-HorizontalAlign="Center"
                        DataField="Contact_Name"
                        HeaderText="Contact Name"
                        ItemStyle-HorizontalAlign="Center"
                        ReadOnly="true">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn
                        UniqueName="Ven_Id"
                        DataField="Ven_Id"
                        Display="false">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <br />
        <span id="outputClient"></span>
        <br />
        <hr />
        <br />
        <telerik:RadGrid ID="tblVendorAppServer"
            runat="server"
            AllowSorting="true"
            AllowPaging="false"
            AutoGenerateColumns="false"
            AllowMultiRowSelection="true"
            OnNeedDataSource="tblVendorAppServer_NeedDataSource"
            GridLines="None"
            Width="800px"
            OnSelectedIndexChanged="tblVendorAppServer_SelectedIndexChanged">
            <ClientSettings EnablePostBackOnRowClick="true">
                <Selecting AllowRowSelect="true" />
            </ClientSettings>
            <MasterTableView DataKeyNames="DataKeyID">
                <Columns>
                    <telerik:GridBoundColumn
                        UniqueName="DataKeyID"
                        DataField="DataKeyID"
                        Visible="false">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn
                        HeaderStyle-HorizontalAlign="Center"
                        DataField="Vendor_Name"
                        HeaderText="Vendor Name"
                        ItemStyle-HorizontalAlign="Center"
                        ReadOnly="true">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn
                        HeaderStyle-HorizontalAlign="Center"
                        DataField="Contact_Name"
                        HeaderText="Contact Name"
                        ItemStyle-HorizontalAlign="Center"
                        ReadOnly="true">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn
                        UniqueName="Ven_Id"
                        DataField="Ven_Id"
                        Display="false">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <br />
        <asp:Label ID="Label2" runat="server" Text="Server access output"></asp:Label>
    </form>
</body>
</html>
