﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridSelectionAccessAnne : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void tblVendorApp_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        tblVendorApp.DataSource = GetGridSource();
    }
    protected void tblVendorAppServer_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        tblVendorAppServer.DataSource = GetGridSource();
    }
    protected void tblVendorAppServer_SelectedIndexChanged(object sender, EventArgs e)
    {
        StringBuilder sb = new StringBuilder();

        sb.Append("Selected items info:<br/><br/>");
        foreach (GridDataItem item in tblVendorAppServer.SelectedItems)
        {
            string dataKeyID = item.GetDataKeyValue("DataKeyID").ToString();
            string vendorName = item["Vendor_Name"].Text;
            string contactName = item["Contact_Name"].Text;
            string venId = item["Ven_Id"].Text;

            sb.Append(string.Format(@"<b>DataKeyID:</b> {0}, <b>Vendor_Name:</b> {1},
                                      <b>Contact_Name:</b> {2}, <b>Ven_Id:</b> {3}<br/>",
                                       dataKeyID, vendorName, contactName, venId));
        }

        Label2.Text = sb.ToString();
    }
    private DataTable GetGridSource()
    {
        DataTable dataTable = new DataTable();

        DataColumn column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "DataKeyID";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "Ven_Id";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "Vendor_Name";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "Contact_Name";
        dataTable.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dataTable.Columns["DataKeyID"];
        dataTable.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 5; i++)
        {
            DataRow row = dataTable.NewRow();
            row["DataKeyID"] = i + 1;
            row["Ven_Id"] = i + 1;
            row["Vendor_Name"] = "Vendor Name " + (i + 1);
            row["Contact_Name"] = "Contact Name " + (i + 1);

            dataTable.Rows.Add(row);
        }

        return dataTable;
    }

}